> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/dq-product/dq-auth-api.md).

# DQ Auth API

The DQ Auth API authenticates users and generates JWT and OAuth tokens

## Create an authentication request to sign in with username and password and generate a JWT token

> Creates an authentication request to sign in with username and password and generate a JWT token. \
> \
> Sign in with your username and password to generate a JWT token

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Auth API","description":"The DQ Auth API authenticates users and generates JWT and OAuth tokens"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/auth/signin":{"post":{"tags":["DQ Auth API"],"summary":"Create an authentication request to sign in with username and password and generate a JWT token","description":"Creates an authentication request to sign in with username and password and generate a JWT token. \n\nSign in with your username and password to generate a JWT token","operationId":"signin","requestBody":{"description":"Authentication request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthenticationRequest"}}},"required":true},"responses":{"200":{"description":"JWT token is generated","content":{"*/*":{}}},"401":{"description":"Authentication failed"}}}}},"components":{"schemas":{"AuthenticationRequest":{"type":"object","properties":{"username":{"type":"string","description":"Username"},"password":{"type":"string","description":"Password"},"iss":{"type":"string","description":"Issuer (tenant name)"}}}}}}
```

## Create an authentication request to sign in with username and password and generate an OAuth token

> Creates an authentication request to sign in with username and password and generate an OAuth token. \
> \
> Sign in with your username and password to generate an OAuth token

```json
{"openapi":"3.0.1","info":{"title":"Collibra DQ Product API","version":"v3"},"tags":[{"name":"DQ Auth API","description":"The DQ Auth API authenticates users and generates JWT and OAuth tokens"}],"servers":[{"url":"https://<host-name>","description":"Generated server url"}],"paths":{"/v3/auth/oauth/signin":{"post":{"tags":["DQ Auth API"],"summary":"Create an authentication request to sign in with username and password and generate an OAuth token","description":"Creates an authentication request to sign in with username and password and generate an OAuth token. \n\nSign in with your username and password to generate an OAuth token","operationId":"oauthSignin","requestBody":{"description":"Authentication request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthenticationRequest"}}},"required":true},"responses":{"200":{"description":"Oauth token is generated","content":{"*/*":{}}},"400":{"description":"Bad Request","content":{"*/*":{}}}}}}},"components":{"schemas":{"AuthenticationRequest":{"type":"object","properties":{"username":{"type":"string","description":"Username"},"password":{"type":"string","description":"Password"},"iss":{"type":"string","description":"Issuer (tenant name)"}}}}}}
```
